Imagick::clone
Imagick::coalesceImages
The Imagick class
PHP Manual

# Imagick::clutImage

(No version information available, might be only in CVS)

Imagick::clutImage — Replaces colors in the image from a color lookup table

### Description

bool Imagick::clutImage ( Imagick `$lookup_table` [, int `$channel` ] )
Warning

This function is currently not documented; only its argument list is available.

Replaces colors in the image from a color lookup table. Optional second parameter to replace colors in a specific channel. This method is available if Imagick is compiled against ImageMagick 6.3.5-7 or newer.

### Parameters

`lookup_table`

  Imagick object containing the color lookup table

`channel`

  The Channeltype constant. When not supplied, all channels are replaced.

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Using Imagick::clutImage():

Replace colors in the image from a color lookup table.

`<?php
$image = new Imagick('test.jpg');
$clut = new Imagick();
$clut->newImage(1, 1, new ImagickPixel('black'));
$image->clutImage( $clut );
$image->writeImage( 'test_out.jpg' );
?>`

### See Also

- Imagick::adaptiveBlurImage()
- Imagick::motionBlurImage()
- Imagick::radialBlurImage()

Imagick::clone
Imagick::coalesceImages
The Imagick class
PHP Manual